package com.jasamedika.medifirst2000.entities;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

import com.jasamedika.medifirst2000.helper.Caption;

@Entity //@Audited
@Table(name = "CatatanPerkembangan_T")
public class CatatanPerkembangan  extends MedicalRecordTransaction {
	
	@Column(name = "Pengobatan", length = 100)
	@Caption(value="Pengobatan")
	private String pengobatan;
	
	@Column(name = "PemeriksaanHormonal", length = 100)
	@Caption(value="Pemeriksaan Hormonal")
	private String pemeriksaanHormonal;
	
	@Column(name = "PemeriksaanUrin", length = 100)
	@Caption(value="Pemeriksaan Urin")
	private String pemeriksaanUrin;
	
	@Column(name = "PemeriksaanUltra", length = 100)
	@Caption(value="Pemeriksaan Ultra")
	private String pemeriksaanUltra;
	
	@Column(name = "Rencana", length = 100)
	@Caption(value="Rencana")
	private String rencana;
	
	@ManyToOne
	@JoinColumn(name = "Catatan")
	@Caption(value="Catatan")
	private Catatan catatan;
	
	@Column(name = "TglHaidKembali", nullable = true )
	@Caption(value="Tanggal Haid Kembali")
	private Date tglHaidKembali;

	public String getPengobatan() {
		return pengobatan;
	}

	public void setPengobatan(String pengobatan) {
		this.pengobatan = pengobatan;
	}

	public String getPemeriksaanHormonal() {
		return pemeriksaanHormonal;
	}

	public void setPemeriksaanHormonal(String pemeriksaanHormonal) {
		this.pemeriksaanHormonal = pemeriksaanHormonal;
	}

	public String getPemeriksaanUrin() {
		return pemeriksaanUrin;
	}

	public void setPemeriksaanUrin(String pemeriksaanUrin) {
		this.pemeriksaanUrin = pemeriksaanUrin;
	}

	public String getPemeriksaanUltra() {
		return pemeriksaanUltra;
	}

	public void setPemeriksaanUltra(String pemeriksaanUltra) {
		this.pemeriksaanUltra = pemeriksaanUltra;
	}

	public String getRencana() {
		return rencana;
	}

	public void setRencana(String rencana) {
		this.rencana = rencana;
	}	

	public Catatan getCatatan() {
		return catatan;
	}

	public void setCatatan(Catatan catatan) {
		this.catatan = catatan;
	}

	public Date getTglHaidKembali() {
		return tglHaidKembali;
	}

	public void setTglHaidKembali(Date tglHaidKembali) {
		this.tglHaidKembali = tglHaidKembali;
	}
	
}
